Debian Bug report logs - #604389
Preparations for the removal of the KDE3 and Qt3 libraries

version graph

Package: src:wvstreams; Maintainer for src:wvstreams is Debian QA Group <packages@qa.debian.org>;

Reported by: Eckhart Wörner <ewoerner@kde.org>

Date: Sun, 21 Nov 2010 20:06:04 UTC

Severity: important

Tags: sid, wheezy

Fixed in version wvstreams/4.6.1-4

Done: Ana Beatriz Guerrero Lopez <ana@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian QA Group <packages@qa.debian.org>:
Bug#604389; Package src:wvstreams. (Sun, 21 Nov 2010 20:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eckhart Wörner <ewoerner@kde.org>:
New Bug report received and forwarded. Copy sent to Debian QA Group <packages@qa.debian.org>. (Sun, 21 Nov 2010 20:06:06 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Eckhart Wörner <ewoerner@kde.org>
To: maintonly@bugs.debian.org
Subject: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Sun, 21 Nov 2010 21:03:53 +0100
Source: wvstreams
Severity: wishlist
User: debian-qt-kde@lists.debian.org
Usertags: qt3libs-removal


Dear maintainer,

The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
will finish since both KDE and Nokia upstream don't maintain the old versions 
of those libraries anymore.

In order to make this move, all packages directly or indirectly depending on 
the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
removed from the Debian repositories.

Therefore, please take the time and:
- contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
port of your application
- if there are no activities regarding porting, investigate whether there are 
suitable alternatives for your users
- if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
- if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
archives, consider removing the KDE3/Qt3 version

Documentation on how to port to KDE4 can be found at:
http://techbase.kde.org/index.php?title=Development/Tutorials/KDE4_Porting_Guide

Documentation on how to port to Qt4 can be found at:
http://doc.qt.nokia.com/4.7/porting4.html

For any questions and issues, do not hesitate to contact the Debian Qt/KDE 
team at debian-qt-kde@lists.debian.org

Eckhart




Severity set to 'serious' from 'wishlist' Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 08 Feb 2011 11:28:21 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Thu, 10 Feb 2011 19:34:20 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to control@bugs.debian.org. (Sat, 26 Feb 2011 18:36:27 GMT) Full text and rfc822 format available.

Reply sent to Ana Beatriz Guerrero Lopez <ana@debian.org>:
You have taken responsibility. (Fri, 18 May 2012 21:00:12 GMT) Full text and rfc822 format available.

Notification sent to Eckhart Wörner <ewoerner@kde.org>:
Bug acknowledged by developer. (Fri, 18 May 2012 21:00:12 GMT) Full text and rfc822 format available.

Message #16 received at 604389-close@bugs.debian.org (full text, mbox):

From: Ana Beatriz Guerrero Lopez <ana@debian.org>
To: 604389-close@bugs.debian.org
Subject: Bug#604389: fixed in wvstreams 4.6.1-4
Date: Fri, 18 May 2012 20:59:42 +0000
Source: wvstreams
Source-Version: 4.6.1-4

We believe that the bug you reported is fixed in the latest version of
wvstreams, which is due to be installed in the Debian FTP archive:

libuniconf4.6_4.6.1-4_amd64.deb
  to main/w/wvstreams/libuniconf4.6_4.6.1-4_amd64.deb
libwvstreams-dev_4.6.1-4_amd64.deb
  to main/w/wvstreams/libwvstreams-dev_4.6.1-4_amd64.deb
libwvstreams4.6-base_4.6.1-4_amd64.deb
  to main/w/wvstreams/libwvstreams4.6-base_4.6.1-4_amd64.deb
libwvstreams4.6-doc_4.6.1-4_all.deb
  to main/w/wvstreams/libwvstreams4.6-doc_4.6.1-4_all.deb
libwvstreams4.6-extras_4.6.1-4_amd64.deb
  to main/w/wvstreams/libwvstreams4.6-extras_4.6.1-4_amd64.deb
uniconf-tools_4.6.1-4_amd64.deb
  to main/w/wvstreams/uniconf-tools_4.6.1-4_amd64.deb
uniconfd_4.6.1-4_amd64.deb
  to main/w/wvstreams/uniconfd_4.6.1-4_amd64.deb
wvstreams_4.6.1-4.debian.tar.gz
  to main/w/wvstreams/wvstreams_4.6.1-4.debian.tar.gz
wvstreams_4.6.1-4.dsc
  to main/w/wvstreams/wvstreams_4.6.1-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604389@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ana Beatriz Guerrero Lopez <ana@debian.org> (supplier of updated wvstreams package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 18 May 2012 21:38:56 +0200
Source: wvstreams
Binary: libwvstreams4.6-base libwvstreams4.6-extras libuniconf4.6 libwvstreams4.6-doc libwvstreams-dev uniconfd uniconf-tools
Architecture: source amd64 all
Version: 4.6.1-4
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Ana Beatriz Guerrero Lopez <ana@debian.org>
Description: 
 libuniconf4.6 - C++ network libraries for rapid application development
 libwvstreams-dev - Development libraries and header files for libwvstreams4.6
 libwvstreams4.6-base - C++ network libraries for rapid application development
 libwvstreams4.6-doc - Documentation for WvStreams
 libwvstreams4.6-extras - C++ network libraries for rapid application development
 uniconf-tools - Tools to interface with UniConf
 uniconfd   - Server that manages UniConf elements
Closes: 604389
Changes: 
 wvstreams (4.6.1-4) unstable; urgency=low
 .
   * QA upload.
   * Remove Qt3 support. (Closes: #604389)
Checksums-Sha1: 
 2315b4748f4b53eeae501c40cf237e4b651f6d3c 2236 wvstreams_4.6.1-4.dsc
 883a2efa7657b9a86d87b296a27d4335aadc10c7 14219 wvstreams_4.6.1-4.debian.tar.gz
 ee99fe8a651eaaadbebdfff9cee18b9278a494eb 258630 libwvstreams4.6-base_4.6.1-4_amd64.deb
 7f550ced4f65f1562eb24805decd6bc9be7c839e 506704 libwvstreams4.6-extras_4.6.1-4_amd64.deb
 433d397670e3d9ee27d92aced63d8d05dc2d1744 181434 libuniconf4.6_4.6.1-4_amd64.deb
 af9ec69da0b095b8358387708a773e88a97a70bc 1578604 libwvstreams-dev_4.6.1-4_amd64.deb
 bd02afebd90ea286d0381dc9cd2745a576a7a44c 74836 uniconfd_4.6.1-4_amd64.deb
 c1d8992462dbaa40a8973d48e4db48a67cc9925d 67832 uniconf-tools_4.6.1-4_amd64.deb
 82c71f9fc746fc33afd09a6069767a556d4b0d41 5252586 libwvstreams4.6-doc_4.6.1-4_all.deb
Checksums-Sha256: 
 db28127d2da4c6f69db2b0e9ebc5a257df47fc14db8aea708d161be5dbdb7fd1 2236 wvstreams_4.6.1-4.dsc
 932d2ba4ecbd2bc82a33889531b139e0442dab42c6a3322db113be0c7c49442c 14219 wvstreams_4.6.1-4.debian.tar.gz
 8e974f4cc6bac9c545fd0ed0b1563c04d9b40dfd8d8f61c27b24a70e9c92fc17 258630 libwvstreams4.6-base_4.6.1-4_amd64.deb
 e267812085850f73f88e6d0cf0fc27ed7ce4d8017dba6410a8f000e6e13d056a 506704 libwvstreams4.6-extras_4.6.1-4_amd64.deb
 afa3cc6efa56cdf76724281419d9b167c8cb717ea402a604063ce67dc4de6069 181434 libuniconf4.6_4.6.1-4_amd64.deb
 8ea0324c0008ebd395121cbace21042c061b5d050c5df46e8e9600448634286c 1578604 libwvstreams-dev_4.6.1-4_amd64.deb
 5cd9f5f487a692c41292ca411afc145f32a90ba3532e0f9a90b770592d1d6dc3 74836 uniconfd_4.6.1-4_amd64.deb
 30fcd553821e3d2ea60ea07dc01d680fe3a5a084b7c105a495b8e251c3fea198 67832 uniconf-tools_4.6.1-4_amd64.deb
 c062119959d2899c3e639060e723949f6f9ef46b02d5cbfb80575ed65415dffa 5252586 libwvstreams4.6-doc_4.6.1-4_all.deb
Files: 
 023df0d49e37ea55f6100bcdfea59ff9 2236 libs optional wvstreams_4.6.1-4.dsc
 4e7e8dd3abf97b4cc405a19727ab1283 14219 libs optional wvstreams_4.6.1-4.debian.tar.gz
 f09efc2d7c2d866111425a9131854973 258630 libs optional libwvstreams4.6-base_4.6.1-4_amd64.deb
 e344f56d403a2099061f8e57a750f23e 506704 libs optional libwvstreams4.6-extras_4.6.1-4_amd64.deb
 b2128dc65ec54dbc2484707a305bfe47 181434 libs optional libuniconf4.6_4.6.1-4_amd64.deb
 d91beda782ab5dbcec2912ea58ef3abf 1578604 libdevel optional libwvstreams-dev_4.6.1-4_amd64.deb
 b8c15f87759356a8f4c5b021ffb708eb 74836 utils optional uniconfd_4.6.1-4_amd64.deb
 d60c62e04beaf1c28152d34381103d2d 67832 utils optional uniconf-tools_4.6.1-4_amd64.deb
 b9d50fcd05194b38daa7347e1543b74c 5252586 doc optional libwvstreams4.6-doc_4.6.1-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Signed by Ana Guerrero

iQIcBAEBCAAGBQJPtql5AAoJELNGT4lqoVlIDkoP/ia6uFwbr9hXsmitOKU7IYfp
FsT7f2Mo9B85NXWllifciC/jIc1VOl6EZsPJENdRTJAXPcVZcHJLwfSHNnkACUu5
JdMrUAfau8DpHDzNqxgzTH/4vHt9AsrUyFvjqFDEePaqB3KBMkunTSciCKDv8HlG
2YXbVWlSZmpPxsdmgEJSLWLAGan8OSqiMvKD9M4+hqblWwE65w1Q1s2emIABtG/1
KQ1qpsH+r0JBM2BJL9N2KHFVzUaDa4RPM8JJOYmDEPnQRu4476Rj42YWmlJN8Mpd
cllWrmwDQ7acw7wehxoIrB2jqmEDwAXTbR59meVkbm6DF1d/DjakYQLRtZohoN9f
c1tZxEmUuwHpdKcF5jDBwHrM4NBRXfgD8JM0OLUs76Bu68ZtuJOjc9V2I+nsMHZF
pp3aWJXxFF3JHE6kndCDrysnmjE+HN/gVyWSS3sq8qCPcNF+E0MTapdqygU4YNnY
JfTbSI6bM4xQQbybt6UcwTFQ3sSYKcBuf2CrOG2gMcErWr+HNIGLOSYrgjzMZvXy
w2hbenAOaMEVjdfOajp/fDdOpnkR9Mm6DjW7BZQ/8HEXY2HC8T6012T9JB23nWbo
rrlvw44tV7nR3e9mWrhTF8aVxOO7YIdgi1Zt/YaeTFxYv8N9+vLOQ8nyQXrCA7pY
8EwtJnRGfJvIB+vgUTQY
=GlwR
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2012 07:43:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:12:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.